#include "ExternInt.h"
#include "Beep.h"

void Init_ExternInt(void)
{
	SYS->GPD_MFPL = (SYS->GPD_MFPL & (~SYS_GPD_MFPL_PD3MFP_Msk)) | SYS_GPD_MFPL_PD3MFP_INT1;
	PD->MODE = (PD->MODE & (~GPIO_MODE_MODE3_Msk)) | (GPIO_MODE_INPUT << GPIO_MODE_MODE3_Pos);
	PD->INTTYPE |= (GPIO_INTTYPE_EDGE << GPIO_INTTYPE_TYPE3_Pos);
	PD->INTEN |= GPIO_INTEN_RHIEN3_Msk;
	NVIC_EnableIRQ(EINT1_IRQn);
	
	/* Enable interrupt de-bounce function and select de-bounce sampling cycle time is 1024 clocks of LIRC clock */
    GPIO->DBCTL = (GPIO_DBCTL_ICLK_ON | GPIO_DBCTL_DBCLKSRC_LIRC | GPIO_DBCTL_DBCLKSEL_128);
	PD->DBEN |= BIT3;
}

extern unsigned char KeyPressTimes;
void EINT1_IRQHandler(void)
{
	if(GPIO_GET_INT_FLAG(PD, BIT3))
	{
		GPIO_CLR_INT_FLAG(PD, BIT3);
		KeyPressTimes++;
		if(KeyPressTimes==1)
		{
			Beep_Open();
		}
		if(KeyPressTimes>=2)
		{
			KeyPressTimes=0;
			Beep_Close();
		}
	}
}

