#include "LED.h"

void TriLED_Init(void)
{
	/* Configure PC.9 as Output mode */
    GPIO_SetMode(PC, BIT9, GPIO_MODE_OUTPUT);   // tri_LED  Red LED
	GPIO_SetMode(PC, BIT10, GPIO_MODE_OUTPUT);  // tri_LED  Green LED
	GPIO_SetMode(PC, BIT11, GPIO_MODE_OUTPUT);  // tri_LED  Bule_LED
}

void LED_Init(void)
{
	GPIO_SetMode(PB, BIT2, GPIO_MODE_OUTPUT);  // initial LED1 control pin
	GPIO_SetMode(PB, BIT3, GPIO_MODE_OUTPUT);  // initial LED2 control pin
	GPIO_SetMode(PC, BIT3, GPIO_MODE_OUTPUT);  // initial LED3 control pin
	GPIO_SetMode(PC, BIT2, GPIO_MODE_OUTPUT);  // initial LED4 control pin
	GPIO_SetMode(PA, BIT9, GPIO_MODE_OUTPUT);  // initial LED5 control pin
	GPIO_SetMode(PB, BIT1, GPIO_MODE_OUTPUT);  // initial LED6 control pin
	GPIO_SetMode(PC, BIT7, GPIO_MODE_OUTPUT);  // initial LED7 control pin
}

void TriLED_ChangeMode(uint8_t Mode)
{
	uint8_t mode;
	mode = Mode & 0x07;
	switch(mode)
	{
		case 0: { PC9=1;PC10=0;PC11=0;}; break;
		case 1: { PC9=0;PC10=1;PC11=0;}; break;
		case 2: { PC9=0;PC10=0;PC11=1;}; break;
		case 3: { PC9=1;PC10=1;PC11=0;}; break;
		case 4: { PC9=1;PC10=0;PC11=1;}; break;
		case 5: { PC9=0;PC10=1;PC11=1;}; break;
		case 6: { PC9=1;PC10=1;PC11=1;}; break;
		case 7: { PC9=0;PC10=0;PC11=0;}; break;
		default: break;
	}
}

void LED_ChangeMode(uint8_t Mode)
{
	if((Mode&0x01)!=0)
	{
		PB2=0;
	}
	else
	{
		PB2=1;
	}
	if((Mode&0x02)!=0)
	{
		PB3=0;
	}
	else
	{
		PB3=1;
	}
	if((Mode&0x04)!=0)
	{
		PC3=0;
	}
	else
	{
		PC3=1;
	}
	if((Mode&0x08)!=0)
	{
		PC2=0;
	}
	else
	{
		PC2=1;
	}
	if((Mode&0x10)!=0)
	{
		PA9=0;
	}
	else
	{
		PA9=1;
	}
	if((Mode&0x20)!=0)
	{
		PB1=0;
	}
	else
	{
		PB1=1;
	}
	if((Mode&0x40)!=0)
	{
		PC7=0;
	}
	else
	{
		PC7=1;
	}
	if((Mode&0xFF)==0)
	{
		PB2=1;
		PB3=1;
		PC3=1;
		PC2=1;
		PA9=1;
		PB1=1;
		PC7=1;
	}
}
