#include "Timer0.h"

void Timer0_Init(void)
{
	//Enable Timer0 clock and select Timer0 clock source
    CLK_EnableModuleClock(TMR0_MODULE);
    CLK_SetModuleClock(TMR0_MODULE, CLK_CLKSEL1_TMR0SEL_HXT, 0);
	
	//Initial Timer0 to periodic mode with 100Hz
    TIMER_Open(TIMER0, TIMER_PERIODIC_MODE, 100);
	
	//Enable Timer0 interrupt
    TIMER_EnableInt(TIMER0);
    NVIC_EnableIRQ(TMR0_IRQn);
	
	//Start Timer0
    TIMER_Start(TIMER0);
}

uint16_t TIM_GetCounter(TIMER_T* TIMx)
{
  /* Get the Counter Register value */
  return TIMx->CNT;
}

extern unsigned char ChangeNum;
void TMR0_IRQHandler(void)
{
	// clear Timer0 interrupt flag
    TIMER_ClearIntFlag(TIMER0);
	display(ChangeNum);  // ʱˢҪʾ
	ChangeNum++;
	if(ChangeNum>=2)
	{
		ChangeNum=0;
	}
}


