#include "USART.h"

void UART0_Init(void)
{
	/* Enable UART module clock */
    CLK_EnableModuleClock(UART0_MODULE);

    /* Select UART module clock source as HXT and UART module clock divider as 1 */
    CLK_SetModuleClock(UART0_MODULE, CLK_CLKSEL1_UARTSEL_HXT, CLK_CLKDIV0_UART(1));
	
	/* Set PD multi-function pins for UART0 RXD(PD.6) and TXD(PD.1) */
    SYS->GPD_MFPL &= ~(SYS_GPD_MFPL_PD6MFP_Msk | SYS_GPD_MFPL_PD1MFP_Msk);
    SYS->GPD_MFPL |= (SYS_GPD_MFPL_PD6MFP_UART0_RXD | SYS_GPD_MFPL_PD1MFP_UART0_TXD);
	
	/* Reset UART module */
    SYS_ResetModule(UART0_RST);
	
	UART_EnableInt(UART0,UART_INTEN_RDAIEN_Msk);
	
	/* Configure UART0 and set UART0 baud rate */
    UART_Open(UART0, 115200);
}

void SendDataToUart(unsigned char array[],unsigned int Num)
{
	int i;
	for(i=0;i<Num;i++)
	{
		UART0->DAT = array[i];
		while((UART0->FIFOSTS & UART_FIFOSTS_TXEMPTY_Msk)==0x00);  // ж ͻǷΪ
	}
}

extern unsigned char UartReceiveData;
void UART0_IRQHandler(void)
{
	if(UART0->INTSTS & UART_INTSTS_RDAINT_Msk)        // жǷΪ ݽж
	{
		while(UART0->INTSTS & UART_INTSTS_RDAIF_Msk)  //  FIFOеȡ
		{
			UartReceiveData=UART0->DAT;               //  ݼĴеݶ
		}
	}
}

